Raw data is stored in instances of the Buffer class. A Buffer is similar to an array of integers but corresponds to a raw memory allocation outside the V8 heap. A Buffer cannot be resized. Valid string encodings: 'ascii'|'utf8'|'utf16le'|'ucs2'(alias of 'utf16le')|'base64'|'binary'(deprecated)|'hex'

### Hierarchy

- Uint8Array
  - Buffer

### Indexable

[index: number]: number

Raw data is stored in instances of the Buffer class. A Buffer is similar to an array of integers but corresponds to a raw memory allocation outside the V8 heap. A Buffer cannot be resized. Valid string encodings: 'ascii'|'utf8'|'utf16le'|'ucs2'(alias of 'utf16le')|'base64'|'binary'(deprecated)|'hex'

## Index

### Properties

- BYTES_PER_ELEMENT
- Uint8Array
- __@toStringTag
- buffer
- byteLength
- byteOffset
- constructor
- length

### Methods

- __@iterator
- compare
- copy
- copyWithin
- entries
- equals
- every
- fill
- filter
- find
- findIndex
- forEach
- includes
- indexOf
- join
- keys
- lastIndexOf
- map
- readDoubleBE
- readDoubleLE
- readFloatBE
- readFloatLE
- readInt16BE
- readInt16LE
- readInt32BE
- readInt32LE
- readInt8
- readIntBE
- readIntLE
- readUInt16BE
- readUInt16LE
- readUInt32BE
- readUInt32LE
- readUInt8
- readUIntBE
- readUIntLE
- reduce
- reduceRight
- reverse
- set
- slice
- some
- sort
- subarray
- swap16
- swap32
- swap64
- toJSON
- toLocaleString
- toString
- values
- write
- writeDoubleBE
- writeDoubleLE
- writeFloatBE
- writeFloatLE
- writeInt16BE
- writeInt16LE
- writeInt32BE
- writeInt32LE
- writeInt8
- writeIntBE
- writeIntLE
- writeUInt16BE
- writeUInt16LE
- writeUInt32BE
- writeUInt32LE
- writeUInt8
- writeUIntBE
- writeUIntLE

## Properties

### BYTES_PER_ELEMENT

BYTES_PER_ELEMENT: number

Inherited from Uint8Array.BYTES_PER_ELEMENT

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1946

The size in bytes of each element in the array.

### Uint8Array

Uint8Array: Uint8ArrayConstructor

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:2205

### __@toStringTag

__@toStringTag: "UInt8Array"

Inherited from Uint8Array.__@toStringTag

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.symbol.wellknown.d.ts:276

### buffer

buffer: ArrayBufferLike

Inherited from Uint8Array.buffer

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1951

The ArrayBuffer instance referenced by the array.

### byteLength

byteLength: number

Inherited from Uint8Array.byteLength

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1956

The length in bytes of the array.

### byteOffset

byteOffset: number

Inherited from Uint8Array.byteOffset

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1961

The offset in bytes of the array.

### constructor

constructor: object

- Defined in node_modules/@types/node/globals.d.ts:238

#### Type declaration

- ##### constructor: function

  - new __type(str: string, encoding?: undefined | string): Buffer
  - new __type(size: number): Buffer
  - new __type(array: Uint8Array): Buffer
  - new __type(arrayBuffer: ArrayBuffer | SharedArrayBuffer): Buffer
  - new __type(array: any[]): Buffer
  - new __type(buffer: Buffer): Buffer
  - - Defined in node_modules/@types/node/globals.d.ts:303

    Allocates a new buffer containing the given {str}.

    deprecated

      since v10.0.0 - Use `Buffer.from(string[, encoding])` instead.

    #### Parameters

    - ##### str: string

      String to store in buffer.

    - ##### Optional encoding: undefined | string

      encoding to use, optional. Default is 'utf8'

    #### Returns Buffer

  - - Defined in node_modules/@types/node/globals.d.ts:311

    Allocates a new buffer of {size} octets.

    deprecated

      since v10.0.0 - Use `Buffer.alloc()` instead (also see `Buffer.allocUnsafe()`).

    #### Parameters

    - ##### size: number

      count of octets to allocate.

    #### Returns Buffer

  - - Defined in node_modules/@types/node/globals.d.ts:318

    Allocates a new buffer containing the given {array} of octets.

    deprecated

      since v10.0.0 - Use `Buffer.from(array)` instead.

    #### Parameters

    - ##### array: Uint8Array

      The octets to store.

    #### Returns Buffer

  - - Defined in node_modules/@types/node/globals.d.ts:325

    Produces a Buffer backed by the same allocated memory as the given {ArrayBuffer}/{SharedArrayBuffer}.

    deprecated

      since v10.0.0 - Use `Buffer.from(arrayBuffer[, byteOffset[, length]])` instead.

    #### Parameters

    - ##### arrayBuffer: ArrayBuffer | SharedArrayBuffer

      The ArrayBuffer with which to share memory.

    #### Returns Buffer

  - - Defined in node_modules/@types/node/globals.d.ts:334

    Allocates a new buffer containing the given {array} of octets.

    deprecated

      since v10.0.0 - Use `Buffer.from(array)` instead.

    #### Parameters

    - ##### array: any[]

      The octets to store.

    #### Returns Buffer

  - - Defined in node_modules/@types/node/globals.d.ts:341

    Copies the passed {buffer} data onto a new {Buffer} instance.

    deprecated

      since v10.0.0 - Use `Buffer.from(buffer)` instead.

    #### Parameters

    - ##### buffer: Buffer

      The buffer to copy.

    #### Returns Buffer

- ##### poolSize: number

  This is the number of bytes used to determine the size of pre-allocated, internal Buffer instances used for pooling. This value may be modified.

- ##### prototype: Buffer

- ##### alloc: function

  - alloc(size: number, fill?: string | Buffer | number, encoding?: undefined | string): Buffer
  - - Defined in node_modules/@types/node/globals.d.ts:421

    Allocates a new buffer of {size} octets.

    #### Parameters

    - ##### size: number

      count of octets to allocate.

    - ##### Optional fill: string | Buffer | number

      if specified, buffer will be initialized by calling buf.fill(fill). If parameter is omitted, buffer will be filled with zeros.

    - ##### Optional encoding: undefined | string

      encoding used for call to buf.fill while initalizing

    #### Returns Buffer

- ##### allocUnsafe: function

  - allocUnsafe(size: number): Buffer
  - - Defined in node_modules/@types/node/globals.d.ts:428

    Allocates a new buffer of {size} octets, leaving memory not initialized, so the contents of the newly created Buffer are unknown and may contain sensitive data.

    #### Parameters

    - ##### size: number

      count of octets to allocate

    #### Returns Buffer

- ##### allocUnsafeSlow: function

  - allocUnsafeSlow(size: number): Buffer
  - - Defined in node_modules/@types/node/globals.d.ts:435

    Allocates a new non-pooled buffer of {size} octets, leaving memory not initialized, so the contents of the newly created Buffer are unknown and may contain sensitive data.

    #### Parameters

    - ##### size: number

      count of octets to allocate

    #### Returns Buffer

- ##### byteLength: function

  - byteLength(string: string | TypedArray | DataView | ArrayBuffer | SharedArrayBuffer, encoding?: undefined | string): number
  - - Defined in node_modules/@types/node/globals.d.ts:396

    Gives the actual byte length of a string. encoding defaults to 'utf8'. This is not the same as String.prototype.length since that returns the number of characters in a string.

    #### Parameters

    - ##### string: string | TypedArray | DataView | ArrayBuffer | SharedArrayBuffer

      string to test.

    - ##### Optional encoding: undefined | string

      encoding used to evaluate (defaults to 'utf8')

    #### Returns number

- ##### compare: function

  - compare(buf1: Uint8Array, buf2: Uint8Array): number
  - - Defined in node_modules/@types/node/globals.d.ts:412

    The same as buf1.compare(buf2).

    #### Parameters

    - ##### buf1: Uint8Array

    - ##### buf2: Uint8Array

    #### Returns number

- ##### concat: function

  - concat(list: Uint8Array[], totalLength?: undefined | number): Buffer
  - - Defined in node_modules/@types/node/globals.d.ts:408

    Returns a buffer which is the result of concatenating all the buffers in the list together.

    If the list has no items, or if the totalLength is 0, then it returns a zero-length buffer. If the list has exactly one item, then the first item of the list is returned. If the list has more than one item, then a new Buffer is created.

    #### Parameters

    - ##### list: Uint8Array[]

      An array of Buffer objects to concatenate

    - ##### Optional totalLength: undefined | number

      Total length of the buffers when concatenated. If totalLength is not provided, it is read from the buffers in the list. However, this adds an additional loop to the function, so it is faster to provide the length explicitly.

    #### Returns Buffer

- ##### from: function

  - from(arrayBuffer: ArrayBuffer | SharedArrayBuffer, byteOffset?: undefined | number, length?: undefined | number): Buffer
  - from(data: number[]): Buffer
  - from(data: Uint8Array): Buffer
  - from(str: string, encoding?: undefined | string): Buffer
  - - Defined in node_modules/@types/node/globals.d.ts:358

    When passed a reference to the .buffer property of a TypedArray instance, the newly created Buffer will share the same allocated memory as the TypedArray. The optional {byteOffset} and {length} arguments specify a memory range within the {arrayBuffer} that will be shared by the Buffer.

    #### Parameters

    - ##### arrayBuffer: ArrayBuffer | SharedArrayBuffer

      The .buffer property of any TypedArray or a new ArrayBuffer()

    - ##### Optional byteOffset: undefined | number

    - ##### Optional length: undefined | number

    #### Returns Buffer

  - - Defined in node_modules/@types/node/globals.d.ts:363

    Creates a new Buffer using the passed {data}

    #### Parameters

    - ##### data: number[]

      data to create a new Buffer

    #### Returns Buffer

  - - Defined in node_modules/@types/node/globals.d.ts:364

    #### Parameters

    - ##### data: Uint8Array

    #### Returns Buffer

  - - Defined in node_modules/@types/node/globals.d.ts:370

    Creates a new Buffer containing the given JavaScript string {str}. If provided, the {encoding} parameter identifies the character encoding. If not provided, {encoding} defaults to 'utf8'.

    #### Parameters

    - ##### str: string

    - ##### Optional encoding: undefined | string

    #### Returns Buffer

- ##### isBuffer: function

  - isBuffer(obj: any): boolean
  - - Defined in node_modules/@types/node/globals.d.ts:381

    Returns true if {obj} is a Buffer

    #### Parameters

    - ##### obj: any

      object to test.

    #### Returns boolean

- ##### isEncoding: function

  - isEncoding(encoding: string): boolean | undefined
  - - Defined in node_modules/@types/node/globals.d.ts:388

    Returns true if {encoding} is a valid encoding argument. Valid string encodings in Node 0.12: 'ascii'|'utf8'|'utf16le'|'ucs2'(alias of 'utf16le')|'base64'|'binary'(deprecated)|'hex'

    #### Parameters

    - ##### encoding: string

      string to test.

    #### Returns boolean | undefined

- ##### of: function

  - of(...items: number[]): Buffer
  - - Defined in node_modules/@types/node/globals.d.ts:375

    Creates a new Buffer using the passed {data}

    #### Parameters

    - ##### Rest ...items: number[]

    #### Returns Buffer

### length

length: number

Inherited from Uint8Array.length

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:2060

The length of the array.

## Methods

### __@iterator

- __@iterator(): IterableIterator<number>

- Inherited from Uint8Array.__@iterator

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.iterable.d.ts:267

  #### Returns IterableIterator<number>

### compare

- compare(otherBuffer: Uint8Array, targetStart?: undefined | number, targetEnd?: undefined | number, sourceStart?: undefined | number, sourceEnd?: undefined | number): number

- - Defined in node_modules/@types/node/globals.d.ts:245

  #### Parameters

  - ##### otherBuffer: Uint8Array

  - ##### Optional targetStart: undefined | number

  - ##### Optional targetEnd: undefined | number

  - ##### Optional sourceStart: undefined | number

  - ##### Optional sourceEnd: undefined | number

  #### Returns number

### copy

- copy(targetBuffer: Uint8Array, targetStart?: undefined | number, sourceStart?: undefined | number, sourceEnd?: undefined | number): number

- - Defined in node_modules/@types/node/globals.d.ts:246

  #### Parameters

  - ##### targetBuffer: Uint8Array

  - ##### Optional targetStart: undefined | number

  - ##### Optional sourceStart: undefined | number

  - ##### Optional sourceEnd: undefined | number

  #### Returns number

### copyWithin

- copyWithin(target: number, start: number, end?: undefined | number): this

- Inherited from Uint8Array.copyWithin

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1972

  Returns the this object after copying a section of the array identified by start and end to the same array starting at position target

  #### Parameters

  - ##### target: number

    If target is negative, it is treated as length+target where length is the length of the array.

  - ##### start: number

    If start is negative, it is treated as length+start. If end is negative, it is treated as length+end.

  - ##### Optional end: undefined | number

    If not specified, length of the this object is used as its default value.

  #### Returns this

### entries

- entries(): IterableIterator<[number, number]>

- Overrides Uint8Array.entries

  - Defined in node_modules/@types/node/globals.d.ts:292

  #### Returns IterableIterator<[number, number]>

### equals

- equals(otherBuffer: Uint8Array): boolean

- - Defined in node_modules/@types/node/globals.d.ts:244

  #### Parameters

  - ##### otherBuffer: Uint8Array

  #### Returns boolean

### every

- every(callbackfn: function, thisArg?: any): boolean

- Inherited from Uint8Array.every

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1982

  Determines whether all the members of an array satisfy the specified test.

  #### Parameters

  - ##### callbackfn: function

    A function that accepts up to three arguments. The every method calls the callbackfn function for each element in array1 until the callbackfn returns false, or until the end of the array.

    - - (value: number, index: number, array: Uint8Array): boolean

      - #### Parameters

        - ##### value: number

        - ##### index: number

        - ##### array: Uint8Array

        #### Returns boolean

  - ##### Optional thisArg: any

    An object to which the this keyword can refer in the callbackfn function. If thisArg is omitted, undefined is used as the this value.

  #### Returns boolean

### fill

- fill(value: any, offset?: undefined | number, end?: undefined | number): this

- Overrides Uint8Array.fill

  - Defined in node_modules/@types/node/globals.d.ts:289

  #### Parameters

  - ##### value: any

  - ##### Optional offset: undefined | number

  - ##### Optional end: undefined | number

  #### Returns this

### filter

- filter(callbackfn: function, thisArg?: any): Uint8Array

- Inherited from Uint8Array.filter

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:2001

  Returns the elements of an array that meet the condition specified in a callback function.

  #### Parameters

  - ##### callbackfn: function

    A function that accepts up to three arguments. The filter method calls the callbackfn function one time for each element in the array.

    - - (value: number, index: number, array: Uint8Array): any

      - #### Parameters

        - ##### value: number

        - ##### index: number

        - ##### array: Uint8Array

        #### Returns any

  - ##### Optional thisArg: any

    An object to which the this keyword can refer in the callbackfn function. If thisArg is omitted, undefined is used as the this value.

  #### Returns Uint8Array

### find

- find(predicate: function, thisArg?: any): number | undefined

- Inherited from Uint8Array.find

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:2012

  Returns the value of the first element in the array where predicate is true, and undefined otherwise.

  #### Parameters

  - ##### predicate: function

    find calls predicate once for each element of the array, in ascending order, until it finds one where predicate returns true. If such an element is found, find immediately returns that element value. Otherwise, find returns undefined.

    - - (value: number, index: number, obj: Uint8Array): boolean

      - #### Parameters

        - ##### value: number

        - ##### index: number

        - ##### obj: Uint8Array

        #### Returns boolean

  - ##### Optional thisArg: any

    If provided, it will be used as the this value for each invocation of predicate. If it is not provided, undefined is used instead.

  #### Returns number | undefined

### findIndex

- findIndex(predicate: function, thisArg?: any): number

- Inherited from Uint8Array.findIndex

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:2023

  Returns the index of the first element in the array where predicate is true, and -1 otherwise.

  #### Parameters

  - ##### predicate: function

    find calls predicate once for each element of the array, in ascending order, until it finds one where predicate returns true. If such an element is found, findIndex immediately returns that element index. Otherwise, findIndex returns -1.

    - - (value: number, index: number, obj: Uint8Array): boolean

      - #### Parameters

        - ##### value: number

        - ##### index: number

        - ##### obj: Uint8Array

        #### Returns boolean

  - ##### Optional thisArg: any

    If provided, it will be used as the this value for each invocation of predicate. If it is not provided, undefined is used instead.

  #### Returns number

### forEach

- forEach(callbackfn: function, thisArg?: any): void

- Inherited from Uint8Array.forEach

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:2032

  Performs the specified action for each element in an array.

  #### Parameters

  - ##### callbackfn: function

    A function that accepts up to three arguments. forEach calls the callbackfn function one time for each element in the array.

    - - (value: number, index: number, array: Uint8Array): void

      - #### Parameters

        - ##### value: number

        - ##### index: number

        - ##### array: Uint8Array

        #### Returns void

  - ##### Optional thisArg: any

    An object to which the this keyword can refer in the callbackfn function. If thisArg is omitted, undefined is used as the this value.

  #### Returns void

### includes

- includes(value: string | number | Buffer, byteOffset?: undefined | number, encoding?: undefined | string): boolean

- Overrides Uint8Array.includes

  - Defined in node_modules/@types/node/globals.d.ts:293

  #### Parameters

  - ##### value: string | number | Buffer

  - ##### Optional byteOffset: undefined | number

  - ##### Optional encoding: undefined | string

  #### Returns boolean

### indexOf

- indexOf(value: string | number | Uint8Array, byteOffset?: undefined | number, encoding?: undefined | string): number

- Overrides Uint8Array.indexOf

  - Defined in node_modules/@types/node/globals.d.ts:290

  #### Parameters

  - ##### value: string | number | Uint8Array

  - ##### Optional byteOffset: undefined | number

  - ##### Optional encoding: undefined | string

  #### Returns number

### join

- join(separator?: undefined | string): string

- Inherited from Uint8Array.join

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:2047

  Adds all the elements of an array separated by the specified separator string.

  #### Parameters

  - ##### Optional separator: undefined | string

    A string used to separate one element of an array from the next in the resulting String. If omitted, the array elements are separated with a comma.

  #### Returns string

### keys

- keys(): IterableIterator<number>

- Overrides Uint8Array.keys

  - Defined in node_modules/@types/node/globals.d.ts:294

  #### Returns IterableIterator<number>

### lastIndexOf

- lastIndexOf(value: string | number | Uint8Array, byteOffset?: undefined | number, encoding?: undefined | string): number

- Overrides Uint8Array.lastIndexOf

  - Defined in node_modules/@types/node/globals.d.ts:291

  #### Parameters

  - ##### value: string | number | Uint8Array

  - ##### Optional byteOffset: undefined | number

  - ##### Optional encoding: undefined | string

  #### Returns number

### map

- map(callbackfn: function, thisArg?: any): Uint8Array

- Inherited from Uint8Array.map

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:2070

  Calls a defined callback function on each element of an array, and returns an array that contains the results.

  #### Parameters

  - ##### callbackfn: function

    A function that accepts up to three arguments. The map method calls the callbackfn function one time for each element in the array.

    - - (value: number, index: number, array: Uint8Array): number

      - #### Parameters

        - ##### value: number

        - ##### index: number

        - ##### array: Uint8Array

        #### Returns number

  - ##### Optional thisArg: any

    An object to which the this keyword can refer in the callbackfn function. If thisArg is omitted, undefined is used as the this value.

  #### Returns Uint8Array

### readDoubleBE

- readDoubleBE(offset: number): number

- - Defined in node_modules/@types/node/globals.d.ts:270

  #### Parameters

  - ##### offset: number

  #### Returns number

### readDoubleLE

- readDoubleLE(offset: number): number

- - Defined in node_modules/@types/node/globals.d.ts:269

  #### Parameters

  - ##### offset: number

  #### Returns number

### readFloatBE

- readFloatBE(offset: number): number

- - Defined in node_modules/@types/node/globals.d.ts:268

  #### Parameters

  - ##### offset: number

  #### Returns number

### readFloatLE

- readFloatLE(offset: number): number

- - Defined in node_modules/@types/node/globals.d.ts:267

  #### Parameters

  - ##### offset: number

  #### Returns number

### readInt16BE

- readInt16BE(offset: number): number

- - Defined in node_modules/@types/node/globals.d.ts:264

  #### Parameters

  - ##### offset: number

  #### Returns number

### readInt16LE

- readInt16LE(offset: number): number

- - Defined in node_modules/@types/node/globals.d.ts:263

  #### Parameters

  - ##### offset: number

  #### Returns number

### readInt32BE

- readInt32BE(offset: number): number

- - Defined in node_modules/@types/node/globals.d.ts:266

  #### Parameters

  - ##### offset: number

  #### Returns number

### readInt32LE

- readInt32LE(offset: number): number

- - Defined in node_modules/@types/node/globals.d.ts:265

  #### Parameters

  - ##### offset: number

  #### Returns number

### readInt8

- readInt8(offset: number): number

- - Defined in node_modules/@types/node/globals.d.ts:262

  #### Parameters

  - ##### offset: number

  #### Returns number

### readIntBE

- readIntBE(offset: number, byteLength: number): number

- - Defined in node_modules/@types/node/globals.d.ts:256

  #### Parameters

  - ##### offset: number

  - ##### byteLength: number

  #### Returns number

### readIntLE

- readIntLE(offset: number, byteLength: number): number

- - Defined in node_modules/@types/node/globals.d.ts:255

  #### Parameters

  - ##### offset: number

  - ##### byteLength: number

  #### Returns number

### readUInt16BE

- readUInt16BE(offset: number): number

- - Defined in node_modules/@types/node/globals.d.ts:259

  #### Parameters

  - ##### offset: number

  #### Returns number

### readUInt16LE

- readUInt16LE(offset: number): number

- - Defined in node_modules/@types/node/globals.d.ts:258

  #### Parameters

  - ##### offset: number

  #### Returns number

### readUInt32BE

- readUInt32BE(offset: number): number

- - Defined in node_modules/@types/node/globals.d.ts:261

  #### Parameters

  - ##### offset: number

  #### Returns number

### readUInt32LE

- readUInt32LE(offset: number): number

- - Defined in node_modules/@types/node/globals.d.ts:260

  #### Parameters

  - ##### offset: number

  #### Returns number

### readUInt8

- readUInt8(offset: number): number

- - Defined in node_modules/@types/node/globals.d.ts:257

  #### Parameters

  - ##### offset: number

  #### Returns number

### readUIntBE

- readUIntBE(offset: number, byteLength: number): number

- - Defined in node_modules/@types/node/globals.d.ts:254

  #### Parameters

  - ##### offset: number

  - ##### byteLength: number

  #### Returns number

### readUIntLE

- readUIntLE(offset: number, byteLength: number): number

- - Defined in node_modules/@types/node/globals.d.ts:253

  #### Parameters

  - ##### offset: number

  - ##### byteLength: number

  #### Returns number

### reduce

- reduce(callbackfn: function): number
- reduce(callbackfn: function, initialValue: number): number
- reduce<U>(callbackfn: function, initialValue: U): U

- Inherited from Uint8Array.reduce

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:2082

  Calls the specified callback function for all the elements in an array. The return value of the callback function is the accumulated result, and is provided as an argument in the next call to the callback function.

  #### Parameters

  - ##### callbackfn: function

    A function that accepts up to four arguments. The reduce method calls the callbackfn function one time for each element in the array.

    - - (previousValue: number, currentValue: number, currentIndex: number, array: Uint8Array): number

      - #### Parameters

        - ##### previousValue: number

        - ##### currentValue: number

        - ##### currentIndex: number

        - ##### array: Uint8Array

        #### Returns number

- Inherited from Uint8Array.reduce

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:2083

  #### Parameters

  - ##### callbackfn: function

    - - (previousValue: number, currentValue: number, currentIndex: number, array: Uint8Array): number

      - #### Parameters

        - ##### previousValue: number

        - ##### currentValue: number

        - ##### currentIndex: number

        - ##### array: Uint8Array

        #### Returns number

  - ##### initialValue: number

  #### Returns number

- Inherited from Uint8Array.reduce

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:2095

  Calls the specified callback function for all the elements in an array. The return value of the callback function is the accumulated result, and is provided as an argument in the next call to the callback function.

  #### Type parameters

  - #### U

  #### Parameters

  - ##### callbackfn: function

    A function that accepts up to four arguments. The reduce method calls the callbackfn function one time for each element in the array.

    - - (previousValue: U, currentValue: number, currentIndex: number, array: Uint8Array): U

      - #### Parameters

        - ##### previousValue: U

        - ##### currentValue: number

        - ##### currentIndex: number

        - ##### array: Uint8Array

        #### Returns U

  - ##### initialValue: U

    If initialValue is specified, it is used as the initial value to start the accumulation. The first call to the callbackfn function provides this value as an argument instead of an array value.

  #### Returns U

### reduceRight

- reduceRight(callbackfn: function): number
- reduceRight(callbackfn: function, initialValue: number): number
- reduceRight<U>(callbackfn: function, initialValue: U): U

- Inherited from Uint8Array.reduceRight

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:2107

  Calls the specified callback function for all the elements in an array, in descending order. The return value of the callback function is the accumulated result, and is provided as an argument in the next call to the callback function.

  #### Parameters

  - ##### callbackfn: function

    A function that accepts up to four arguments. The reduceRight method calls the callbackfn function one time for each element in the array.

    - - (previousValue: number, currentValue: number, currentIndex: number, array: Uint8Array): number

      - #### Parameters

        - ##### previousValue: number

        - ##### currentValue: number

        - ##### currentIndex: number

        - ##### array: Uint8Array

        #### Returns number

- Inherited from Uint8Array.reduceRight

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:2108

  #### Parameters

  - ##### callbackfn: function

    - - (previousValue: number, currentValue: number, currentIndex: number, array: Uint8Array): number

      - #### Parameters

        - ##### previousValue: number

        - ##### currentValue: number

        - ##### currentIndex: number

        - ##### array: Uint8Array

        #### Returns number

  - ##### initialValue: number

  #### Returns number

- Inherited from Uint8Array.reduceRight

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:2120

  Calls the specified callback function for all the elements in an array, in descending order. The return value of the callback function is the accumulated result, and is provided as an argument in the next call to the callback function.

  #### Type parameters

  - #### U

  #### Parameters

  - ##### callbackfn: function

    A function that accepts up to four arguments. The reduceRight method calls the callbackfn function one time for each element in the array.

    - - (previousValue: U, currentValue: number, currentIndex: number, array: Uint8Array): U

      - #### Parameters

        - ##### previousValue: U

        - ##### currentValue: number

        - ##### currentIndex: number

        - ##### array: Uint8Array

        #### Returns U

  - ##### initialValue: U

    If initialValue is specified, it is used as the initial value to start the accumulation. The first call to the callbackfn function provides this value as an argument instead of an array value.

  #### Returns U

### reverse

- reverse(): this

- Overrides Uint8Array.reverse

  - Defined in node_modules/@types/node/globals.d.ts:271

  #### Returns this

### set

- set(array: ArrayLike<number>, offset?: undefined | number): void

- Inherited from Uint8Array.set

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:2132

  Sets a value or an array of values.

  #### Parameters

  - ##### array: ArrayLike<number>

    A typed or untyped array of values to set.

  - ##### Optional offset: undefined | number

    The index in the current array at which the values are to be written.

  #### Returns void

### slice

- slice(start?: undefined | number, end?: undefined | number): Buffer

- Overrides Uint8Array.slice

  - Defined in node_modules/@types/node/globals.d.ts:247

  #### Parameters

  - ##### Optional start: undefined | number

  - ##### Optional end: undefined | number

  #### Returns Buffer

### some

- some(callbackfn: function, thisArg?: any): boolean

- Inherited from Uint8Array.some

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:2149

  Determines whether the specified callback function returns true for any element of an array.

  #### Parameters

  - ##### callbackfn: function

    A function that accepts up to three arguments. The some method calls the callbackfn function for each element in array1 until the callbackfn returns true, or until the end of the array.

    - - (value: number, index: number, array: Uint8Array): boolean

      - #### Parameters

        - ##### value: number

        - ##### index: number

        - ##### array: Uint8Array

        #### Returns boolean

  - ##### Optional thisArg: any

    An object to which the this keyword can refer in the callbackfn function. If thisArg is omitted, undefined is used as the this value.

  #### Returns boolean

### sort

- sort(compareFn?: undefined | function): this

- Inherited from Uint8Array.sort

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:2156

  Sorts an array.

  #### Parameters

  - ##### Optional compareFn: undefined | function

    The name of the function used to determine the order of the elements. If omitted, the elements are sorted in ascending, ASCII character order.

  #### Returns this

### subarray

- subarray(begin: number, end?: undefined | number): Buffer

- Overrides Uint8Array.subarray

  - Defined in node_modules/@types/node/globals.d.ts:248

  #### Parameters

  - ##### begin: number

  - ##### Optional end: undefined | number

  #### Returns Buffer

### swap16

- swap16(): Buffer

- - Defined in node_modules/@types/node/globals.d.ts:272

  #### Returns Buffer

### swap32

- swap32(): Buffer

- - Defined in node_modules/@types/node/globals.d.ts:273

  #### Returns Buffer

### swap64

- swap64(): Buffer

- - Defined in node_modules/@types/node/globals.d.ts:274

  #### Returns Buffer

### toJSON

- toJSON(): object

- - Defined in node_modules/@types/node/globals.d.ts:243

  #### Returns object

  - ##### data: number[]

  - ##### type: "Buffer"

### toLocaleString

- toLocaleString(): string

- Inherited from Uint8Array.toLocaleString

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:2169

  Converts a number to a string by using the current locale.

  #### Returns string

### toString

- toString(encoding?: undefined | string, start?: undefined | number, end?: undefined | number): string

- Overrides Uint8Array.toString

  - Defined in node_modules/@types/node/globals.d.ts:242

  #### Parameters

  - ##### Optional encoding: undefined | string

  - ##### Optional start: undefined | number

  - ##### Optional end: undefined | number

  #### Returns string

### values

- values(): IterableIterator<number>

- Overrides Uint8Array.values

  - Defined in node_modules/@types/node/globals.d.ts:295

  #### Returns IterableIterator<number>

### write

- write(string: string, encoding?: undefined | string): number
- write(string: string, offset: number, encoding?: undefined | string): number
- write(string: string, offset: number, length: number, encoding?: undefined | string): number

- - Defined in node_modules/@types/node/globals.d.ts:239

  #### Parameters

  - ##### string: string

  - ##### Optional encoding: undefined | string

  #### Returns number

- - Defined in node_modules/@types/node/globals.d.ts:240

  #### Parameters

  - ##### string: string

  - ##### offset: number

  - ##### Optional encoding: undefined | string

  #### Returns number

- - Defined in node_modules/@types/node/globals.d.ts:241

  #### Parameters

  - ##### string: string

  - ##### offset: number

  - ##### length: number

  - ##### Optional encoding: undefined | string

  #### Returns number

### writeDoubleBE

- writeDoubleBE(value: number, offset: number): number

- - Defined in node_modules/@types/node/globals.d.ts:288

  #### Parameters

  - ##### value: number

  - ##### offset: number

  #### Returns number

### writeDoubleLE

- writeDoubleLE(value: number, offset: number): number

- - Defined in node_modules/@types/node/globals.d.ts:287

  #### Parameters

  - ##### value: number

  - ##### offset: number

  #### Returns number

### writeFloatBE

- writeFloatBE(value: number, offset: number): number

- - Defined in node_modules/@types/node/globals.d.ts:286

  #### Parameters

  - ##### value: number

  - ##### offset: number

  #### Returns number

### writeFloatLE

- writeFloatLE(value: number, offset: number): number

- - Defined in node_modules/@types/node/globals.d.ts:285

  #### Parameters

  - ##### value: number

  - ##### offset: number

  #### Returns number

### writeInt16BE

- writeInt16BE(value: number, offset: number): number

- - Defined in node_modules/@types/node/globals.d.ts:282

  #### Parameters

  - ##### value: number

  - ##### offset: number

  #### Returns number

### writeInt16LE

- writeInt16LE(value: number, offset: number): number

- - Defined in node_modules/@types/node/globals.d.ts:281

  #### Parameters

  - ##### value: number

  - ##### offset: number

  #### Returns number

### writeInt32BE

- writeInt32BE(value: number, offset: number): number

- - Defined in node_modules/@types/node/globals.d.ts:284

  #### Parameters

  - ##### value: number

  - ##### offset: number

  #### Returns number

### writeInt32LE

- writeInt32LE(value: number, offset: number): number

- - Defined in node_modules/@types/node/globals.d.ts:283

  #### Parameters

  - ##### value: number

  - ##### offset: number

  #### Returns number

### writeInt8

- writeInt8(value: number, offset: number): number

- - Defined in node_modules/@types/node/globals.d.ts:280

  #### Parameters

  - ##### value: number

  - ##### offset: number

  #### Returns number

### writeIntBE

- writeIntBE(value: number, offset: number, byteLength: number): number

- - Defined in node_modules/@types/node/globals.d.ts:252

  #### Parameters

  - ##### value: number

  - ##### offset: number

  - ##### byteLength: number

  #### Returns number

### writeIntLE

- writeIntLE(value: number, offset: number, byteLength: number): number

- - Defined in node_modules/@types/node/globals.d.ts:251

  #### Parameters

  - ##### value: number

  - ##### offset: number

  - ##### byteLength: number

  #### Returns number

### writeUInt16BE

- writeUInt16BE(value: number, offset: number): number

- - Defined in node_modules/@types/node/globals.d.ts:277

  #### Parameters

  - ##### value: number

  - ##### offset: number

  #### Returns number

### writeUInt16LE

- writeUInt16LE(value: number, offset: number): number

- - Defined in node_modules/@types/node/globals.d.ts:276

  #### Parameters

  - ##### value: number

  - ##### offset: number

  #### Returns number

### writeUInt32BE

- writeUInt32BE(value: number, offset: number): number

- - Defined in node_modules/@types/node/globals.d.ts:279

  #### Parameters

  - ##### value: number

  - ##### offset: number

  #### Returns number

### writeUInt32LE

- writeUInt32LE(value: number, offset: number): number

- - Defined in node_modules/@types/node/globals.d.ts:278

  #### Parameters

  - ##### value: number

  - ##### offset: number

  #### Returns number

### writeUInt8

- writeUInt8(value: number, offset: number): number

- - Defined in node_modules/@types/node/globals.d.ts:275

  #### Parameters

  - ##### value: number

  - ##### offset: number

  #### Returns number

### writeUIntBE

- writeUIntBE(value: number, offset: number, byteLength: number): number

- - Defined in node_modules/@types/node/globals.d.ts:250

  #### Parameters

  - ##### value: number

  - ##### offset: number

  - ##### byteLength: number

  #### Returns number

### writeUIntLE

- writeUIntLE(value: number, offset: number, byteLength: number): number

- - Defined in node_modules/@types/node/globals.d.ts:249

  #### Parameters

  - ##### value: number

  - ##### offset: number

  - ##### byteLength: number

  #### Returns number

Generated using TypeDoc